This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 466658 - Review Request: VisualBoyAdvance - Nintendo Gameboy (,Advance,Color) Emulator
Review Request: VisualBoyAdvance - Nintendo Gameboy (,Advance,Color) Emulator
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-10-12 06:49 EDT by Conrad Meyer
Modified: 2008-11-19 11:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 10:23:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-10-12 06:49:34 EDT
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/VisualBoyAdvance.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/VisualBoyAdvance-1.7.2-1.fc9.src.rpm
Description:
VisualBoyAdvance is a Nintendo (TM) Gameboy and GameboyAdvance emulator
with debugging capabilities.
Comment 1 Conrad Meyer 2008-10-12 06:56:18 EDT
Oops, doesn't build in koji [0], but rpmlint is silent. The configure script doesn't recognize ppc64-redhat?

[0]: http://koji.fedoraproject.org/koji/taskinfo?taskID=875185
Comment 2 Mamoru TASAKA 2008-10-12 07:57:14 EDT
Are you sure this software won't be against Fedora's emulator policy?

http://fedoraproject.org/wiki/Licensing/SoftwareTypes#Emulators
Also, from http://fedoraproject.org/wiki/SIGs/Games :

But generally, if it requires ROM files, image files, or a copy of 
the machines BIOS/firmware to work, we won't package it.
Comment 3 Mads Villadsen 2008-10-12 08:01:57 EDT
It seems more like something that belongs in the RPMFusion project at
rpmfusion.org (where I think gnuboy is already packaged).
Comment 4 Conrad Meyer 2008-10-12 14:50:20 EDT
(In reply to comment #2)
> Are you sure this software won't be against Fedora's emulator policy?
> 
> http://fedoraproject.org/wiki/Licensing/SoftwareTypes#Emulators
> Also, from http://fedoraproject.org/wiki/SIGs/Games :
> 
> But generally, if it requires ROM files, image files, or a copy of 
> the machines BIOS/firmware to work, we won't package it.

Well, that's why I submitted it, I want to find out if it is acceptable in Fedora (RPMFusion does not allow packages which could be included in Fedora). Could this not be used to run homebrew (and thus not patented nor copyrighted) games etc?
Comment 5 Jason Tibbitts 2008-10-14 22:28:35 EDT
Best to ask the lawyers, I suppose.

But you did not answer the question of whether it requires ROM images or a copy of any legally protected firmware in order to run.  Answer that and there may be no point in asking for a legal opinion.
Comment 6 Jason Tibbitts 2008-10-14 22:31:44 EDT
Also, and I hate to be an ass about this, but there are really better ways to go about this than submitting something you know to be questionable to an already overloaded review queue so that one of the already overloaded package reviewers can come through and to the legwork.  Was a simple post to fedora-legal-list not sufficient to answer your questions about this package?
Comment 7 Conrad Meyer 2008-10-14 23:37:24 EDT
Last time I sent an email to fedora-legal-list they never got it. I had to forward it to spot directly to get an answer (I'm not subscribed to the list). It's easy to *not* review this if you think it's too questionable.
Comment 8 Tom "spot" Callaway 2008-10-17 16:22:20 EDT
I'm passing this on to the lawyers.
Comment 9 Andrea Musuruane 2008-10-26 05:50:38 EDT
I had just a quick look at the spec file.

It seems some things are missing. For example there is no GTK+ GUI and no i18n support.

You may also want to read this thread where there is another spec file for Fedora:
http://forums.fedoraforum.org/showthread.php?t=45988
Comment 10 Conrad Meyer 2008-10-27 19:35:44 EDT
Andrea: I'm waiting on reply from spot before I work on this too much. If the lawyers say no, I'll continue the review request at RPM Fusion.
Comment 11 Tom "spot" Callaway 2008-11-19 10:23:14 EST
Red Hat legal gave this a lot of thought, but in the end, they decided this one was too risky.
Comment 12 Conrad Meyer 2008-11-19 11:18:35 EST
Thanks for considering it.

Note You need to log in before you can comment on or make changes to this bug.